> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# coda-documents

> Coda Documents - docs, pages, folders, permissions, publishing

**Server path:** `/coda-documents` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                              | Description           |
| ------------------------------------------------------------------------------------------------- | --------------------- |
| [`coda_documents_add_go_link`](#coda_documents_add_go_link)                                       | Add a go link         |
| [`coda_documents_add_permission`](#coda_documents_add_permission)                                 | Add permission        |
| [`coda_documents_begin_page_content_export`](#coda_documents_begin_page_content_export)           | Begin content export  |
| [`coda_documents_create_doc`](#coda_documents_create_doc)                                         | Create doc            |
| [`coda_documents_create_folder`](#coda_documents_create_folder)                                   | Create folder         |
| [`coda_documents_create_page`](#coda_documents_create_page)                                       | Create a page         |
| [`coda_documents_delete_doc`](#coda_documents_delete_doc)                                         | Delete doc            |
| [`coda_documents_delete_folder`](#coda_documents_delete_folder)                                   | Delete folder         |
| [`coda_documents_delete_page`](#coda_documents_delete_page)                                       | Delete a page         |
| [`coda_documents_delete_page_content`](#coda_documents_delete_page_content)                       | Delete page content   |
| [`coda_documents_delete_permission`](#coda_documents_delete_permission)                           | Delete permission     |
| [`coda_documents_get_acl_settings`](#coda_documents_get_acl_settings)                             | Get ACL settings      |
| [`coda_documents_get_doc`](#coda_documents_get_doc)                                               | Get info about a doc  |
| [`coda_documents_get_folder`](#coda_documents_get_folder)                                         | Get folder            |
| [`coda_documents_get_mutation_status`](#coda_documents_get_mutation_status)                       | Get mutation status   |
| [`coda_documents_get_page`](#coda_documents_get_page)                                             | Get a page            |
| [`coda_documents_get_page_content_export_status`](#coda_documents_get_page_content_export_status) | Content export status |
| [`coda_documents_get_permissions`](#coda_documents_get_permissions)                               | List permissions      |
| [`coda_documents_get_sharing_metadata`](#coda_documents_get_sharing_metadata)                     | Get sharing metadata  |
| [`coda_documents_list_docs`](#coda_documents_list_docs)                                           | List available docs   |
| [`coda_documents_list_folders`](#coda_documents_list_folders)                                     | List folders          |
| [`coda_documents_list_page_content`](#coda_documents_list_page_content)                           | List page content     |
| [`coda_documents_list_pages`](#coda_documents_list_pages)                                         | List pages            |
| [`coda_documents_publish_doc`](#coda_documents_publish_doc)                                       | Publish doc           |
| [`coda_documents_resolve_browser_link`](#coda_documents_resolve_browser_link)                     | Resolve browser link  |
| [`coda_documents_search_principals`](#coda_documents_search_principals)                           | Search principals     |
| [`coda_documents_unpublish_doc`](#coda_documents_unpublish_doc)                                   | Unpublish doc         |
| [`coda_documents_update_acl_settings`](#coda_documents_update_acl_settings)                       | Update ACL settings   |
| [`coda_documents_update_doc`](#coda_documents_update_doc)                                         | Update doc            |
| [`coda_documents_update_folder`](#coda_documents_update_folder)                                   | Update folder         |
| [`coda_documents_update_page`](#coda_documents_update_page)                                       | Update a page         |

***

## coda\_documents\_add\_go\_link

Add a go link

**Parameters:**

| Parameter        | Type   | Required | Default | Description                                                                                                      |                                                                                                                                         |
| ---------------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| `organizationId` | string | Yes      | —       | ID of the organization.                                                                                          |                                                                                                                                         |
| `creatorEmail`   | string | null     | No      | —                                                                                                                | Optional creator email for the Go Link. Only organization admins can set this field.                                                    |
| `description`    | string | No       | —       | Optional description for the Go Link.                                                                            |                                                                                                                                         |
| `destinationUrl` | string | Yes      | —       | The URL that the Go Link redirects to.                                                                           |                                                                                                                                         |
| `name`           | string | Yes      | —       | The name of the Go Link that comes after go/. Only alphanumeric characters, dashes, and underscores are allowed. |                                                                                                                                         |
| `urlPattern`     | string | null     | No      | —                                                                                                                | Optional destination URL with \{\*} placeholders for variables to be inserted. Variables are specified like go/\<name>/\<var1>/\<var2>. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organizationId": {
        "type": "string",
        "description": "ID of the organization."
      },
      "creatorEmail": {
        "type": [
          "string",
          "null"
        ],
        "description": "Optional creator email for the Go Link. Only organization admins can set this field."
      },
      "description": {
        "type": "string",
        "description": "Optional description for the Go Link."
      },
      "destinationUrl": {
        "type": "string",
        "description": "The URL that the Go Link redirects to."
      },
      "name": {
        "type": "string",
        "description": "The name of the Go Link that comes after go/. Only alphanumeric characters, dashes, and underscores are allowed."
      },
      "urlPattern": {
        "type": [
          "string",
          "null"
        ],
        "description": "Optional destination URL with {*} placeholders for variables to be inserted. Variables are specified like go/<name>/<var1>/<var2>."
      }
    },
    "required": [
      "PCID",
      "organizationId",
      "destinationUrl",
      "name"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_add\_permission

Add permission

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                 |
| --------------- | ------- | -------- | ------- | ------------------------------------------- |
| `docId`         | string  | Yes      | —       | ID of the doc.                              |
| `access`        | string  | Yes      | —       | Type of access (excluding none).            |
| `principal`     | object  | Yes      | —       | Metadata about a principal to add to a doc. |
| `suppressEmail` | boolean | No       | —       | When true suppresses email notification     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "access": {
        "type": "string",
        "description": "Type of access (excluding none).",
        "enum": [
          "readonly",
          "write",
          "comment"
        ]
      },
      "principal": {
        "description": "Metadata about a principal to add to a doc."
      },
      "suppressEmail": {
        "type": "boolean",
        "description": "When true suppresses email notification"
      }
    },
    "required": [
      "PCID",
      "docId",
      "access",
      "principal"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_begin\_page\_content\_export

Begin content export

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`        | string | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName` | string | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |
| `outputFormat` | string | Yes      | —       | Supported output content formats that can be requested for getting content for an existing page.                                                                                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      },
      "outputFormat": {
        "type": "string",
        "description": "Supported output content formats that can be requested for getting content for an existing page.",
        "enum": [
          "html",
          "markdown"
        ]
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName",
      "outputFormat"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_create\_doc

Create doc

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                                                                                                                                                                                                                                     |
| ------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `folderId`    | string | No       | —       | The ID of the folder within which to create this doc. Defaults to your "My docs" folder in the oldest workspace you joined; this is subject to change. You can get this ID by opening the folder in the docs list on your computer and grabbing the `folderId` query parameter. |
| `initialPage` | object | No       | —       | Initial Page                                                                                                                                                                                                                                                                    |
| `sourceDoc`   | string | No       | —       | An optional doc ID from which to create a copy.                                                                                                                                                                                                                                 |
| `timezone`    | string | No       | —       | The timezone to use for the newly created doc.                                                                                                                                                                                                                                  |
| `title`       | string | No       | —       | Title of the new doc. Defaults to 'Untitled'.                                                                                                                                                                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "string",
        "description": "The ID of the folder within which to create this doc. Defaults to your \"My docs\" folder in the oldest workspace you joined; this is subject to change. You can get this ID by opening the folder in the docs list on your computer and grabbing the `folderId` query parameter."
      },
      "initialPage": {
        "description": "Initial Page"
      },
      "sourceDoc": {
        "type": "string",
        "description": "An optional doc ID from which to create a copy."
      },
      "timezone": {
        "type": "string",
        "description": "The timezone to use for the newly created doc."
      },
      "title": {
        "type": "string",
        "description": "Title of the new doc. Defaults to 'Untitled'."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_create\_folder

Create folder

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                             |
| ------------- | ------ | -------- | ------- | ------------------------------------------------------- |
| `description` | string | No       | —       | Description of the folder.                              |
| `name`        | string | Yes      | —       | Name of the folder.                                     |
| `workspaceId` | string | Yes      | —       | ID of the workspace where the folder should be created. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "description": {
        "type": "string",
        "description": "Description of the folder."
      },
      "name": {
        "type": "string",
        "description": "Name of the folder."
      },
      "workspaceId": {
        "type": "string",
        "description": "ID of the workspace where the folder should be created."
      }
    },
    "required": [
      "PCID",
      "name",
      "workspaceId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_create\_page

Create a page

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                            |
| -------------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------- |
| `docId`        | string | Yes      | —       | ID of the doc.                                                                                                         |
| `iconName`     | string | No       | —       | Name of the icon.                                                                                                      |
| `imageUrl`     | string | No       | —       | Url of the cover image to use.                                                                                         |
| `name`         | string | No       | —       | Name of the page.                                                                                                      |
| `pageContent`  | object | No       | —       | Content that can be added to a page at creation time, either text (or rich text) or a URL to create a full-page embed. |
| `parentPageId` | string | No       | —       | The ID of this new page's parent, if creating a subpage.                                                               |
| `subtitle`     | string | No       | —       | Subtitle of the page.                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "iconName": {
        "type": "string",
        "description": "Name of the icon."
      },
      "imageUrl": {
        "type": "string",
        "description": "Url of the cover image to use."
      },
      "name": {
        "type": "string",
        "description": "Name of the page."
      },
      "pageContent": {
        "description": "Content that can be added to a page at creation time, either text (or rich text) or a URL to create a full-page embed."
      },
      "parentPageId": {
        "type": "string",
        "description": "The ID of this new page's parent, if creating a subpage."
      },
      "subtitle": {
        "type": "string",
        "description": "Subtitle of the page."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_delete\_doc

Delete doc

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `docId`   | string | Yes      | —       | ID of the doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_delete\_folder

Delete folder

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `folderId` | string | Yes      | —       | ID of the folder. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "string",
        "description": "ID of the folder."
      }
    },
    "required": [
      "PCID",
      "folderId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_delete\_page

Delete a page

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`        | string | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName` | string | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_delete\_page\_content

Delete page content

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`        | string    | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName` | string    | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |
| `elementIds`   | string\[] | No       | —       | IDs of the elements to delete from the page. If omitted or empty, all content will be deleted.                                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      },
      "elementIds": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "IDs of the elements to delete from the page. If omitted or empty, all content will be deleted."
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_delete\_permission

Delete permission

**Parameters:**

| Parameter      | Type   | Required | Default | Description                  |
| -------------- | ------ | -------- | ------- | ---------------------------- |
| `docId`        | string | Yes      | —       | ID of the doc.               |
| `permissionId` | string | Yes      | —       | ID of a permission on a doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "permissionId": {
        "type": "string",
        "description": "ID of a permission on a doc."
      }
    },
    "required": [
      "PCID",
      "docId",
      "permissionId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_acl\_settings

Get ACL settings

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `docId`   | string | Yes      | —       | ID of the doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_doc

Get info about a doc

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `docId`   | string | Yes      | —       | ID of the doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_folder

Get folder

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `folderId` | string | Yes      | —       | ID of the folder. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "string",
        "description": "ID of the folder."
      }
    },
    "required": [
      "PCID",
      "folderId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_mutation\_status

Get mutation status

**Parameters:**

| Parameter   | Type   | Required | Default | Description        |
| ----------- | ------ | -------- | ------- | ------------------ |
| `requestId` | string | Yes      | —       | ID of the request. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "requestId": {
        "type": "string",
        "description": "ID of the request."
      }
    },
    "required": [
      "PCID",
      "requestId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_page

Get a page

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`        | string | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName` | string | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_page\_content\_export\_status

Content export status

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`        | string | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName` | string | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |
| `requestId`    | string | Yes      | —       | ID of the request.                                                                                                                                                                                                                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      },
      "requestId": {
        "type": "string",
        "description": "ID of the request."
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName",
      "requestId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_permissions

List permissions

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                             |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------- |
| `docId`     | string  | Yes      | —       | ID of the doc.                                          |
| `limit`     | integer | No       | —       | Maximum number of results to return in this query.      |
| `pageToken` | string  | No       | —       | An opaque token used to fetch the next page of results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return in this query."
      },
      "pageToken": {
        "type": "string",
        "description": "An opaque token used to fetch the next page of results."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_get\_sharing\_metadata

Get sharing metadata

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `docId`   | string | Yes      | —       | ID of the doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_list\_docs

List available docs

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                          |
| ------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------ |
| `isOwner`     | boolean | No       | —       | Show only docs owned by the user.                                                    |
| `isPublished` | boolean | No       | —       | Show only published docs.                                                            |
| `query`       | string  | No       | —       | Search term used to filter down results.                                             |
| `sourceDoc`   | string  | No       | —       | Show only docs copied from the specified doc ID.                                     |
| `isStarred`   | boolean | No       | —       | If true, returns docs that are starred. If false, returns docs that are not starred. |
| `inGallery`   | boolean | No       | —       | Show only docs visible within the gallery.                                           |
| `workspaceId` | string  | No       | —       | Show only docs belonging to the given workspace.                                     |
| `folderId`    | string  | No       | —       | Show only docs belonging to the given folder.                                        |
| `limit`       | integer | No       | —       | Maximum number of results to return in this query.                                   |
| `pageToken`   | string  | No       | —       | An opaque token used to fetch the next page of results.                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "isOwner": {
        "type": "boolean",
        "description": "Show only docs owned by the user."
      },
      "isPublished": {
        "type": "boolean",
        "description": "Show only published docs."
      },
      "query": {
        "type": "string",
        "description": "Search term used to filter down results."
      },
      "sourceDoc": {
        "type": "string",
        "description": "Show only docs copied from the specified doc ID."
      },
      "isStarred": {
        "type": "boolean",
        "description": "If true, returns docs that are starred. If false, returns docs that are not starred."
      },
      "inGallery": {
        "type": "boolean",
        "description": "Show only docs visible within the gallery."
      },
      "workspaceId": {
        "type": "string",
        "description": "Show only docs belonging to the given workspace."
      },
      "folderId": {
        "type": "string",
        "description": "Show only docs belonging to the given folder."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return in this query."
      },
      "pageToken": {
        "type": "string",
        "description": "An opaque token used to fetch the next page of results."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_list\_folders

List folders

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                                                                       |
| ------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------- |
| `workspaceId` | string  | No       | —       | Show only folders belonging to the given workspace.                                                                               |
| `isStarred`   | boolean | No       | —       | If true, returns folders that are starred. If false, returns folders that are not starred. If not specified, returns all folders. |
| `limit`       | integer | No       | —       | Maximum number of results to return in this query.                                                                                |
| `pageToken`   | string  | No       | —       | An opaque token used to fetch the next page of results.                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspaceId": {
        "type": "string",
        "description": "Show only folders belonging to the given workspace."
      },
      "isStarred": {
        "type": "boolean",
        "description": "If true, returns folders that are starred. If false, returns folders that are not starred. If not specified, returns all folders."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return in this query."
      },
      "pageToken": {
        "type": "string",
        "description": "An opaque token used to fetch the next page of results."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_list\_page\_content

List page content

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                       |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`         | string  | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName`  | string  | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |
| `limit`         | integer | No       | —       | Maximum number of content items to return in this query.                                                                                                                                                                                                          |
| `pageToken`     | string  | No       | —       | An opaque token used to fetch the next page of results.                                                                                                                                                                                                           |
| `contentFormat` | string  | No       | —       | The format to return content in. Defaults to plainText.                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of content items to return in this query."
      },
      "pageToken": {
        "type": "string",
        "description": "An opaque token used to fetch the next page of results."
      },
      "contentFormat": {
        "type": "string",
        "description": "The format to return content in. Defaults to plainText.",
        "enum": [
          "plainText"
        ]
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_list\_pages

List pages

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                             |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------- |
| `docId`     | string  | Yes      | —       | ID of the doc.                                          |
| `limit`     | integer | No       | —       | Maximum number of results to return in this query.      |
| `pageToken` | string  | No       | —       | An opaque token used to fetch the next page of results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return in this query."
      },
      "pageToken": {
        "type": "string",
        "description": "An opaque token used to fetch the next page of results."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_publish\_doc

Publish doc

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                               |
| --------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`         | string    | Yes      | —       | ID of the doc.                                                                                                                                            |
| `categoryNames` | string\[] | No       | —       | The names of categories to apply to the document.                                                                                                         |
| `discoverable`  | boolean   | No       | —       | If true, indicates that the doc is discoverable.                                                                                                          |
| `earnCredit`    | boolean   | No       | —       | If true, new users may be required to sign in to view content within this document. You will receive Coda credit for each user who signs up via your doc. |
| `mode`          | string    | No       | —       | Which interaction mode the published doc should use.                                                                                                      |
| `slug`          | string    | No       | —       | Slug for the published doc.                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "categoryNames": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The names of categories to apply to the document."
      },
      "discoverable": {
        "type": "boolean",
        "description": "If true, indicates that the doc is discoverable."
      },
      "earnCredit": {
        "type": "boolean",
        "description": "If true, new users may be required to sign in to view content within this document. You will receive Coda credit for each user who signs up via your doc."
      },
      "mode": {
        "type": "string",
        "description": "Which interaction mode the published doc should use.",
        "enum": [
          "view",
          "play",
          "edit"
        ]
      },
      "slug": {
        "type": "string",
        "description": "Slug for the published doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_resolve\_browser\_link

Resolve browser link

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                                                                                                                     |
| ------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `url`               | string  | Yes      | —       | The browser link to try to resolve.                                                                                                                                                             |
| `degradeGracefully` | boolean | No       | —       | By default, attempting to resolve the Coda URL of a deleted object will result in an error. If this flag is set, the next-available object, all the way up to the doc itself, will be resolved. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "url": {
        "type": "string",
        "description": "The browser link to try to resolve."
      },
      "degradeGracefully": {
        "type": "boolean",
        "description": "By default, attempting to resolve the Coda URL of a deleted object will result in an error. If this flag is set, the next-available object, all the way up to the doc itself, will be resolved."
      }
    },
    "required": [
      "PCID",
      "url"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_search\_principals

Search principals

**Parameters:**

| Parameter | Type   | Required | Default | Description                              |
| --------- | ------ | -------- | ------- | ---------------------------------------- |
| `docId`   | string | Yes      | —       | ID of the doc.                           |
| `query`   | string | No       | —       | Search term used to filter down results. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "query": {
        "type": "string",
        "description": "Search term used to filter down results."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_unpublish\_doc

Unpublish doc

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `docId`   | string | Yes      | —       | ID of the doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_update\_acl\_settings

Update ACL settings

**Parameters:**

| Parameter                         | Type    | Required | Default | Description                                                                                                 |
| --------------------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------- |
| `docId`                           | string  | Yes      | —       | ID of the doc.                                                                                              |
| `allowCopying`                    | boolean | No       | —       | When true, allows doc viewers to copy the doc.                                                              |
| `allowEditorsToChangePermissions` | boolean | No       | —       | When true, allows editors to change doc permissions. When false, only doc owner can change doc permissions. |
| `allowViewersToRequestEditing`    | boolean | No       | —       | When true, allows doc viewers to request editing permissions.                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "allowCopying": {
        "type": "boolean",
        "description": "When true, allows doc viewers to copy the doc."
      },
      "allowEditorsToChangePermissions": {
        "type": "boolean",
        "description": "When true, allows editors to change doc permissions. When false, only doc owner can change doc permissions."
      },
      "allowViewersToRequestEditing": {
        "type": "boolean",
        "description": "When true, allows doc viewers to request editing permissions."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_update\_doc

Update doc

**Parameters:**

| Parameter  | Type   | Required | Default | Description       |
| ---------- | ------ | -------- | ------- | ----------------- |
| `docId`    | string | Yes      | —       | ID of the doc.    |
| `iconName` | string | No       | —       | Name of the icon. |
| `title`    | string | No       | —       | Title of the doc. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "iconName": {
        "type": "string",
        "description": "Name of the icon."
      },
      "title": {
        "type": "string",
        "description": "Title of the doc."
      }
    },
    "required": [
      "PCID",
      "docId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_update\_folder

Update folder

**Parameters:**

| Parameter     | Type   | Required | Default | Description                |
| ------------- | ------ | -------- | ------- | -------------------------- |
| `folderId`    | string | Yes      | —       | ID of the folder.          |
| `description` | string | No       | —       | Description of the folder. |
| `name`        | string | No       | —       | Name of the folder.        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "string",
        "description": "ID of the folder."
      },
      "description": {
        "type": "string",
        "description": "Description of the folder."
      },
      "name": {
        "type": "string",
        "description": "Name of the folder."
      }
    },
    "required": [
      "PCID",
      "folderId"
    ]
  }
  ```
</Expandable>

***

## coda\_documents\_update\_page

Update a page

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                       |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `docId`         | string  | Yes      | —       | ID of the doc.                                                                                                                                                                                                                                                    |
| `pageIdOrName`  | string  | Yes      | —       | ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected. |
| `contentUpdate` | object  | No       | —       | Content Update                                                                                                                                                                                                                                                    |
| `iconName`      | string  | No       | —       | Name of the icon.                                                                                                                                                                                                                                                 |
| `imageUrl`      | string  | No       | —       | Url of the cover image to use.                                                                                                                                                                                                                                    |
| `isHidden`      | boolean | No       | —       | Whether the page is hidden or not. Note that for pages that cannot be hidden, like the sole top-level page in a doc, this will be ignored.                                                                                                                        |
| `name`          | string  | No       | —       | Name of the page.                                                                                                                                                                                                                                                 |
| `subtitle`      | string  | No       | —       | Subtitle of the page.                                                                                                                                                                                                                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "docId": {
        "type": "string",
        "description": "ID of the doc."
      },
      "pageIdOrName": {
        "type": "string",
        "description": "ID or name of the page. Names are discouraged because they're easily prone to being changed by users. If you're using a name, be sure to URI-encode it. If you provide a name and there are multiple pages with the same name, an arbitrary one will be selected."
      },
      "contentUpdate": {
        "description": "Content Update"
      },
      "iconName": {
        "type": "string",
        "description": "Name of the icon."
      },
      "imageUrl": {
        "type": "string",
        "description": "Url of the cover image to use."
      },
      "isHidden": {
        "type": "boolean",
        "description": "Whether the page is hidden or not. Note that for pages that cannot be hidden, like the sole top-level page in a doc, this will be ignored."
      },
      "name": {
        "type": "string",
        "description": "Name of the page."
      },
      "subtitle": {
        "type": "string",
        "description": "Subtitle of the page."
      }
    },
    "required": [
      "PCID",
      "docId",
      "pageIdOrName"
    ]
  }
  ```
</Expandable>
